blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
0d0706298efb93a59b89b159663a8608ef9eb291 | Shell | epicsNSLS2-deploy/Docker-Builder | /build_image.sh | UTF-8 | 2,294 | 4.59375 | 5 | [] | no_license | #!/bin/bash
# Function that enters a target directory, and builds a docker image from it
function build_image () {
IMAGE_NAME=$1
cd $IMAGE_NAME
docker build -t isa/$IMAGE_NAME .
cd ..
}
# Print the help message
function print_help () {
echo
echo "USAGE:"
echo " ./build_image.sh help - wil... | true |
3c506b138dc71e08a23abb6b5e2bd27526380cd3 | Shell | justynaBanaszkiewicz12305/UniversityCodesmash | /scripts/setup_account.sh | UTF-8 | 857 | 3.375 | 3 | [] | no_license | #!/usr/bin/env bash
username=$1
repository=spring-2015-uni-code-smash
ruby_version=ruby-2.2.2
chmod_no_public_access=751
user_home="/home/${username}"
user_setup_script=${user_home}/setup.sh
adduser --gecos "" ${username}
sudo smbpasswd -a ${username}
cp -r ./${repository} ${user_home}
chown -R ${username} ${user_ho... | true |
2abab353ef3963e74499f30fe3dcea9015aa30b7 | Shell | go-barbarians/barbarian-hive | /opt/barbarian/control/await-llap | UTF-8 | 1,657 | 3.15625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env mksh
# Copyright 2018 Barbarians.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ag... | true |
1720019015ea1988635704ba87552b5e778eb90b | Shell | tmack91/Sysadmin-Solaris | /mk-flash.sh | UTF-8 | 708 | 3.671875 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/ksh
#
# Create Flash Archive
#
# rob.brown@ioko.com - 28/Sep/2008
#
HOSTNAME=`hostname`
DATE=`date +%H%M-%d-%h-%Y`
FLAR_IMAGE_NAME="${HOSTNAME}-${DATE}"
AUTHOR="rob.brown@ioko.com"
FLAR_DESCRIPTION="Solaris 10 test image"
OUTPUT_DIR="/tmp"
#
# Notes
# * To Exclude a file or directory use -x file/directory
#... | true |
fc23f3a9f8625c94de76096f76efaf89e078d4db | Shell | Kerusak/xs2a | /scripts/keycloak-dev/add-realm-role.sh | UTF-8 | 991 | 3.125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
hostAndPort=$1
realm=$2
adminUser=$3
adminPassword=$4
role=$5
# Get and parse access token
RESP=$(curl -s -X POST "$hostAndPort/auth/realms/master/protocol/openid-connect/token" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "username=$adminUser" \
-d "password=$adminPassword" \
... | true |
d802919bdd59860485a6ffe929ab297f2e33d93e | Shell | Xequals0/Everything-Else | /Computer Security/Assignment4/input.sh | UTF-8 | 1,134 | 2.546875 | 3 | [] | no_license | # CS419 Computer Security: Assignment 4
# Professor Krzyzanowski Spring 2018
# Anirudh Tunoori netid: at813
# Yaowen Zhang netid: yz579
# This is the input script for the protostar challenge
printf "~~~Beginning The Exploit Input Script For All Challenges~~~\n"
# Stack1
printf "\n"
printf "Running stack1... \n"
echo... | true |
993cdf47e1cf088e8fe20d5316b58b39bfa0eda5 | Shell | MobilityDB/MobilityDB-Azure | /automaticClusterDeployment/KubernetesCluster/deployK8SCluster.sh | UTF-8 | 7,846 | 3.828125 | 4 | [] | no_license | #!/bin/bash
################################################################################
# Script Description #
################################################################################
# This script is used to automatically deploy a MobilityDB cluster on the Cloud.
# More specifically, t... | true |
f2119667644275781a6529547f0cb09f39359735 | Shell | sds1037681793/ib-web | /WEB-INF/classes/database-backup/backup.sh | UTF-8 | 2,069 | 3.984375 | 4 | [] | no_license | #!/bin/bash
#功能说明:本功能用于备份数据库
#数据库用户名
dbuser='rib'
#数据库密码
dbpasswd='rib'
#不进行导出的数据库名,可以定义多个数据库,中间以空格隔开,如:test test1 test2
exclude_dbname='information_schema mysql performance_schema sys'
#备份时间
backtime=`date +%Y%m%d_%H%M%S`
#日志备份路径
logpath='/home/cando/database-backup/logs'
#数据备份路径
datapath='/home/cando/database-backup... | true |
9b7efcb496c91617fbb9cc5f47d64b309ec2771b | Shell | brettkolodny/open-runtime-module-library | /scripts/run.sh | UTF-8 | 287 | 2.90625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
COMMAND=$1
shift
set -x
for file in **/Cargo.toml; do
if [ "$file" == "xtokens/Cargo.toml" ] || [ "$file" == "xcm-support/Cargo.toml" ] || [ "$file" == "unknown-tokens/Cargo.toml" ]
then
continue
fi
cargo $COMMAND --manifest-path "$file" $@;
done
| true |
fea9d2a63505f407f059a2b135325252ad0a0853 | Shell | wilson-tim/stellahomedw | /DWLIVE/hotelpayments/HJload/iacs_hj_load_all.ksh | UTF-8 | 12,298 | 3.078125 | 3 | [] | no_license | #!/usr/bin/ksh
######################################################################################################
#
# PROGRAM: iacs_hj_load_all.ksh
#
# DATE BY DESCRIPTION
# ---- -- -----------
#
# 12/06/02 JR Initial Version.
# 17/12/02 LA Allocate more memory to java xmlload
# 08/09/03 ... | true |
397d9b073c5e8cd98c6be0f7ec5d70eca5a933c4 | Shell | envoyproxy/envoy | /examples/dynamic-config-cp/verify.sh | UTF-8 | 2,864 | 2.734375 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash -e
export NAME=dynamic-config-cp
export UPARGS=" proxy"
# shellcheck source=examples/verify-common.sh
. "$(dirname "${BASH_SOURCE[0]}")/../verify-common.sh"
run_log "Check port 10000 is not open (still shows as succeeded)"
nc -zv localhost 10000 |& grep -v open
run_log "Check the static cluster"
curl -s... | true |
2f999e248699bf08266ac07fc1ec638dcfae5a63 | Shell | NikhilDusane222/Shellscript | /Sequences/2diceadd.sh | UTF-8 | 126 | 2.828125 | 3 | [] | no_license | #!/bin/bash -x
dice1=$((1+RANDOM%6))
dice2=$((1+RANDOM%6))
sum=$(($dice1 + $dice2))
printf $"Sum of both dice is: $sum"'\n'
| true |
5018c2395aa075f7c610737fb4ed3a3a60fb6137 | Shell | OpenMandrivaAssociation/vdr-plugin-console | /03_command_from_cli.dpatch | UTF-8 | 3,327 | 2.65625 | 3 | [] | no_license | #! /bin/sh /usr/share/dpatch/dpatch-run
## 03_command_from_cli.dpatch by Thomas Schmidt <tschmidt@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Added commandline option --command to be able to specify which
## DP: command should be called when starting the plugin.
@DPATCH@
... | true |
8640d21b4d3b03ff54b01545760d446e61837d83 | Shell | scudiero/tools | /lib/SelectMenuNew.sh | UTF-8 | 7,019 | 3.515625 | 4 | [] | no_license | ## XO NOT AUTOVERSION
#===================================================================================================
# version="2.1.2" # -- dscudiero -- Thu 05/24/2018 @ 9:24:51.78
#===================================================================================================
# Display a selection menu
# Se... | true |
054e651df7a0d3ffdb7c636ca0bb02c8e5e19adc | Shell | megalnx/slackvirt | /bin/wpa-notify | UTF-8 | 329 | 2.921875 | 3 | [] | no_license | #!/bin/bash
ICON=/usr/share/pixmaps/wpa_gui.png
case "$2" in
CONNECTED)
DISPLAY=:0.0 notify-send -i $ICON "WPA supplicant:" "$1 connected";
tmux display-message "$1 connected"
;;
DISCONNECTED)
DISPLAY=:0.0 notify-send -i $ICON "WPA supplicant:" "$1 disconnected";
tmux display-message "$1 disconnected"
... | true |
4ce76e0ee749e34a023f1e4a971c425e556b80cd | Shell | petronny/aur3-mirror | /dmd2-complete/PKGBUILD | UTF-8 | 2,960 | 2.890625 | 3 | [] | no_license | # Maintainer: Mihail Strashun <m.strashun@gmail.com> aka Volfram
pkgname=dmd2-complete
pkgver=2.057
pkgrel=1
pkgdesc="The Digital Mars D compiler & Standard Library (D2 version)"
arch=('i686' 'x86_64')
url="http://www.digitalmars.com/d/2.0/"
source=(http://ftp.digitalmars.com/dmd.$pkgver.zip)
md5sums=('531c4b60eb002ea8... | true |
c4dac6209992190150c64534b7751d293c20c523 | Shell | lse/docker-gitolite | /docker-entrypoint.sh | UTF-8 | 1,777 | 3.890625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
# if command is sshd, set it up correctly
if [ "${1}" = 'sshd' ]; then
set -- dumb-init /usr/sbin/sshd -D -e
# Setup SSH HostKeys if needed
for algorithm in rsa dsa ecdsa ed25519
do
keyfile=/etc/ssh/keys/ssh_host_${algorithm}_key
[ -f $keyfile ] || ssh-keygen -q -N '' -f $keyfile -t $algorit... | true |
a49581aba6fdc0b5da4f95a9724168b8b9381d54 | Shell | gjvanoldenborgh/climexp_data | /FUBData/update.sh | UTF-8 | 922 | 2.828125 | 3 | [] | no_license | #!/bin/sh
base=ftp://strat50.met.fu-berlin.de/pub/outgoing/_matthes/CMIP5_solardata
wget -N $base/TSI_WLS_ann_1610_2008.txt
wget -N $base/spectra_1610_2000a_21Jan09.txt.gz
wget -N $base/spectra_2000_2008a_6May09.txt.gz
wget -N $base/TSI_WLS_mon_1882_2008.txt
wget -N $base/spectra_1882_2000m_17Dec08.txt.gz
wget -N $base... | true |
e472bc341b468aef300e7d8f0eba962a53ff49f8 | Shell | arfc/saltproc | /tools/ci/restore-openmc.sh | UTF-8 | 1,063 | 3.171875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -ex
# Move cached OpenMC libaries to PATH
sudo mv $HOME/openmc_src/bin/openmc /usr/local/bin/openmc
OPENMC_LIBS=(libopenmc.so cmake libpugixml.a pkgconfig)
for LIB in ${OPENMC_LIBS[@]}; do
sudo mv $HOME/openmc_src/lib/$LIB /usr/local/lib/.
done
sudo mv $HOME/openmc_src/lib/ /usr/local/lib/
#sudo m... | true |
a254b8578715192104238ebf65e8aeeed8e72123 | Shell | RakeshVaghasiya/cortx-s3server | /scripts/create_auth_jks_password.sh | UTF-8 | 2,750 | 3.203125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#
# Copyright (c) 2020 Seagate Technology LLC and/or its Affiliates
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless requ... | true |
19169ff3f1328bf505f85a60f85b321e51e821b0 | Shell | aegony/CSS-framework-downloader | /frameworks/susy.sh | UTF-8 | 562 | 3.546875 | 4 | [] | no_license | #!/bin/bash
# Susy
function download() {
git clone git@github.com:oddbird/susy.git
cd susy
open .
}
echo
echo "$question"
read answer
if [ "$answer" = "yes" ]; then
if [ -d "susy" ]; then
echo "Susy directory already exist."
# echo "$exit_key"
break
fi
if [ ! -d "susy" ]; then
echo "Susy is downloading ... | true |
b57cf7169d1d6727863e124d4d7dc444dc08883e | Shell | layereight/i3wm-conf | /touchpad_configure.sh | UTF-8 | 508 | 2.71875 | 3 | [] | no_license | #!/bin/sh
script_dir=$(dirname ${0})
. ${script_dir}/touchpad_id.sh
$(get_touchpad_id)
TOUCHPAD_ID=$?
#echo TOUCHPAD_ID=$TOUCHPAD_ID
# enable horizontal AND vertical scrolling
xinput --set-prop ${TOUCHPAD_ID} "Synaptics Two-Finger Scrolling" 1 1
# inverted/natural scrolling
xinput --set-prop ${TOUCHPAD_ID} "Synapt... | true |
e5327ae2e4bd994dd358a69e26426871274fe3fc | Shell | ilventu/aur-mirror | /python2-pyechonest/PKGBUILD | UTF-8 | 850 | 2.890625 | 3 | [] | no_license | # Maintainer: masutu <masutu dot arch at gmail dot com>
_modulename=pyechonest
pkgname=python2-${_modulename}
pkgver=4.2.19
pkgrel=1
pkgdesc="An open source Python library for the Echo Nest API."
arch=('any')
url="https://github.com/echonest/${_modulename}"
license=('custom:BSD3')
depends=('python2')
options=(!emptydir... | true |
65064ddd701610646ad6ddf46251f72406ee1511 | Shell | ci2c/code | /scripts/julien/ictus_dcm.sh~ | UTF-8 | 598 | 3.109375 | 3 | [] | no_license | #!/bin/bash
output=/NAS/dumbo/protocoles/ictus/Data/subjects/
cd $1
echo "$1"
first_dicom=$(find . -type f -name "*" -print -quit)
echo "${first_dicom}"
dcmdump -M +P "0008,0020" +P "0010,0010" +P "0010,0040" ${first_dicom} +P "0010,0030" | sed -e 's/.*\[\(.*\)\].*/\1/'
echo "Enter patient folder name : "
read ... | true |
d849762c088e6a69cacc0597508ded4dac883549 | Shell | deas/dotfiles | /hooks/post-up | UTF-8 | 830 | 2.921875 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# touch "$HOME"/.psqlrc.local
#
# if [ -e "$HOME"/.vim/autoload/plug.vim ]; then
# vim -E -s +PlugUpgrade +qa
# else
# curl -fLo "$HOME"/.vim/autoload/plug.vim --create-dirs \
# https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
# fi
# vim -u "$HOME"/.vimrc.bundles +PlugUpdate +Pl... | true |
062f51137892f288f965fc1a04c43be435c72059 | Shell | brikeats/SimpleElastix-build | /make_selx.sh | UTF-8 | 1,536 | 3.078125 | 3 | [] | no_license | #!/bin/bash
# run this with
# docker run --rm -e PLAT=manylinux2010_x86_64 -v /home/user/local_dir:/io quay.io/pypa/manylinux2010_x86_64 /io/make_selx.sh
IO_DIR=${IO_DIR:-/io}
BASE_DIR=${BASE_DIR:-$IO_DIR}
PLAT=${PLAT:-manylinux2010_x86_64}
PYTHON_TARGET=${PYTHON_TARGET:-cp38-cp38}
MODULE_NAME=${MODULE_NAME:-SimpleI... | true |
e6e686770af277f96c3651c2416b460c6f107c61 | Shell | narmender/openbus | /core/src/main/hbase/queryscripts/sessionsPerDay.sh | UTF-8 | 206 | 2.703125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#./sessionsPerDay.sh 20131126 [0000z2ur1hruUUG-MhpsITK9JY_:0]
SESSION=$2
if [ -n "$SESSION" ]; then
./scancols.sh wslog_session $2 "daily:$1"
else
./scanrows.sh wslog_session "daily:$1"
fi
| true |
f1f3cbea6615a9c2b23cf29f1c0df6d73303e6d6 | Shell | xsh-lib/aws | /functions/ec2/volume/snapshot/create.sh | UTF-8 | 2,012 | 3.9375 | 4 | [
"MIT"
] | permissive | #? Description:
#? Create snapshot for EC2 EBS volume.
#? The snapshot is tagged after it's created.
#?
#? Usage:
#? @create
#? [-r REGION]
#? -i VOLUME_ID
#?
#? Options:
#? [-r REGION]
#?
#? Region name.
#? Defalt is to use the region in your AWS CLI profile.
#?
#? -i VOLUME_ID
#?
#? EBS volume... | true |
74fe24c59739c2d88b44b68679dc411f3dccade6 | Shell | altlinux/girar | /bin/girar-check-acl-leader | UTF-8 | 1,624 | 3.9375 | 4 | [] | no_license | #!/bin/sh -efu
. girar-sh-functions
. shell-quote
. shell-args
if [ "${1-}" = '--help' ]; then
echo 'Usage: $PROG person item repo dir'
exit 0
fi
[ "$#" -ge 4 ] || show_usage 'Not enough arguments.'
[ "$#" -le 4 ] || show_usage 'Too many arguments.'
person="$1"; shift
item="$1"; shift
[ -n "$item" ] ||
fatal 'Em... | true |
f92ab632a59df85c31e4d773d265acc68669a38c | Shell | chandra-pal/vlcc | /BashScripts/copy.sh | UTF-8 | 664 | 3.21875 | 3 | [
"MIT"
] | permissive | #! /bin/bash
#script to copy files from one server to another
scp ec2-user@52.221.243.74:/home/ec2-user/* /home/ec2-user
#scp username@serverip:/sourceaddress/ destinationaddress
#when you are logged into the destination servr
#script when you are logged in the source server
scp /home/ec2-user/testfile2 ec2-user... | true |
363e9ffff70398ca1404c5ec7651efed5d56b142 | Shell | eoinwoods/RmiPerformance | /runserver.sh | UTF-8 | 433 | 2.8125 | 3 | [] | no_license | #!/bin/bash
dir=$(cd $(dirname ${BASH_SOURCE[0]}) && pwd)
jarfile=${dir}/build/libs/RmiPerformance.jar
echo "Using JAR $jarfile for classpath"
# useCodebaseOnly=true is the default from 1.7.0_21 onwards
# http://docs.oracle.com/javase/7/docs/technotes/guides/rmi/enhancements-7.html
java -cp ${jarfile} \
-Djava.rmi.ser... | true |
573199fea4eba92b0c5bb0bc18c8bbb53016eadf | Shell | nnaabbcc/debian-preseed | /03.rti_dds/03.rti_dds.sh | UTF-8 | 406 | 3.046875 | 3 | [] | no_license |
# install rti dds
dds_file=$1
if [ -f $dds_file ]; then
echo installing dds from $dds_file
else
echo please set dds installer file
exit 1
fi
rm -rf tmp
mkdir tmp
tar xvf $dds_file -C tmp
echo 123456 | sudo -S expect dds.expect
export NDDSHOME=/opt/rti_connext_dds-5.3.0
sudo cp rti_license.dat $NDDSHOME
sudo c... | true |
e2c0833f095957057055c2b182988f653bbe6b70 | Shell | abelsiqueira/pres-poincare-2015 | /conicas/conicas.sh | UTF-8 | 485 | 3.4375 | 3 | [] | no_license | #!/bin/bash
template=conicas-template.tex
file=conicas.list
vars=(QUADA QUADB QUADC QUADD QUADE QUADF FSET FMIN XVAL YVAL)
rm -f iter*
iter=0
cat $file | while read line
do
line=($line)
output=`cat -E $template`
for i in $(seq 0 $((${#vars[@]}-1)))
do
var=${vars[i]}
val=${line[i]}
output=$(echo $o... | true |
856632b98516de21c8293870286d392ecda8b00a | Shell | pantasio/todo | /Shell/newshell.sh | UTF-8 | 691 | 2.796875 | 3 | [] | no_license | #!/bin/sh
##################################################
# Name: $1
# Description: Does a backup of your MySQL Database utilizng LVM Snapshot.
# Script Maintainer: Le Duc Hoang
#
# Last Updated: August 8th 2013
##################################################
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sb... | true |
0afbefcab0ad1a04aab342d73cf599844e3d888f | Shell | glbrimhall/bin | /dlog.sh | UTF-8 | 266 | 3.3125 | 3 | [] | no_license | #!/bin/sh
if [ -f "$HOME/bin/docker-default-container.sh" ]; then
. $HOME/bin/docker-default-container.sh
fi
CONTAINER=${1:-$DEFAULT_CONTAINER}
if [ -f docker-compose.yml ] && [ "$1" = "" ]; then
docker-compose logs --follow
else
docker logs --follow $1
fi
| true |
5707de3a617b651bf8c7c902efd41270e30da7c5 | Shell | garethmidwood/backbot-service | /install.sh | UTF-8 | 3,570 | 4.0625 | 4 | [] | no_license | #!/bin/bash
INSTALL_DIR=.
LOGFILE='install.log'
ICON_INCOMPLETE_COLOUR=`tput setaf 1`
ICON_COMPLETE_COLOUR=`tput setaf 2`
TEXT_COLOUR=`tput setaf 2`
BAR_COLOUR_COMPLETE=`tput setaf 6`
BAR_COLOUR_REMAINING=`tput setaf 3`
ERROR_COLOUR=`tput setaf 1`
NO_COLOUR=`tput sgr0`
ICON_INCOMPLETE="${BAR_COLOUR_REMAINING}\xc2\xa... | true |
d75b6afc8ba501795c3dc03426e6782ff17a86c7 | Shell | gialnet/PostgreSQLFunctions | /sql/09_rpc_script.sh | UTF-8 | 1,728 | 3.734375 | 4 | [] | no_license | #!/bin/sh
#
# Antonio Pérez Caballero
# 22 Diciembre 2011
# descomprimir una release y copiar los archivos en las carpetas detino para Aguas y Mancomunidad
#
# ejemplo de uso: ./subir_release.sh release_11_12_22.zip
#
clear
nombre_file=$1
if [ -n "$nombre_file" ]
then
echo 'existe, voy a borrar la versión anteri... | true |
9482e35c48eeab0c3edf1a79880b62ff1ea46ec8 | Shell | jrd/compose-systemd | /compose-dirs | UTF-8 | 9,559 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# vim: set ts=2 sts=2 sw=2:
version=1.6.1
conf=/etc/compose-dirs.conf
[ -f "$conf" ] || exit 1
# shellcheck disable=SC1090,SC1091
. "$conf"
[ -n "$compose_dir" ] && [ -n "$compose_user" ] && [ -n "$tmpl_name" ] && [ -n "$deps_file" ] || exit 1
[ -d "$compose_dir" ] || exit 1
cd "$compose_dir"
docker="$(whic... | true |
7efb7b4d7f770003062f097216abeab5fb962378 | Shell | paultag/archvsync | /bin/websync | UTF-8 | 10,081 | 3.671875 | 4 | [] | no_license | #! /bin/bash
# No, we can not deal with sh alone.
set -e
set -u
# ERR traps should be inherited from functions too. (And command
# substitutions and subshells and whatnot, but for us the function is
# the important part here)
set -E
# websync script for Debian
# Based losely on the old websync written by an
# unknown... | true |
c9d4d33a348576a7709a9491f36c0a3a2464597b | Shell | robin-31/Shell-Scripting-Program | /Sequences-Problem/diceRange.sh | UTF-8 | 142 | 2.90625 | 3 | [] | no_license | #!/bin/bash -x
lowerLimit=0
upperLimit=6
diff=$(( $upperLimit - $lowerLimt + 1 ))
dice=$(( $RANDOM%diff ))
echo "your dice number is : $dice"
| true |
da49e729a8c122c82ca961f4b9176f5b118e73bc | Shell | HelenaNascimento/spyder | /continuous_integration/posix/runtests.sh | UTF-8 | 524 | 3.0625 | 3 | [
"LGPL-3.0-or-later",
"OFL-1.1",
"LGPL-2.1-or-later",
"CC-BY-2.5",
"CC-BY-3.0",
"CC-BY-4.0",
"GPL-1.0-or-later",
"BSD-3-Clause",
"LicenseRef-scancode-free-unknown",
"GPL-3.0-only",
"LGPL-2.1-only",
"LicenseRef-scancode-proprietary-license",
"MIT",
"LGPL-3.0-only",
"Python-2.0",
"GPL-2.0... | permissive | #!/bin/bash
source $HOME/miniconda/etc/profile.d/conda.sh
conda activate test
# We have two kinds of tests:
#
# 1. The new ones, based on pytest
# 2. The old ones, present in the main section
# at the end of several files.
#
# Notes:
# - We always run our new tests in Travis.
# - Circle runs a mix of both for old ... | true |
07542149f6166c6c65cc24f0c25306b9fbd59356 | Shell | damienSimon/os-installer | /scripts_bash/config/environment_variables_for_ubuntu_on_virtualbox.sh | UTF-8 | 1,128 | 2.640625 | 3 | [] | no_license | #!/bin/bash
# Variables d'environnement pour l'installation VM Ubuntu 18.04.4 LTS de test dans VirtualBox
NOM_VIRTUAL_MACHINE="test-vm-ubuntu-18-04"
REPERTOIRE_VIRTUAL_BOX="/home/dasim/perso/outils/VirtualBox"
#CHEMIN_FICHIER_ISO="${REPERTOIRE_VIRTUAL_BOX}/iso/ubuntu-18.04.4-desktop-amd64.iso"
CHEMIN_FICHIER_ISO="${R... | true |
10ba7ea52c9962dd3fb2912fc790ad293a5f56e5 | Shell | ercolessi/O2DataProcessing | /tools/epn/run.sh | UTF-8 | 1,946 | 2.765625 | 3 | [] | no_license | #!/bin/bash
export GEN_TOPO_PARTITION=test # ECS Partition
export DDMODE=processing # DataDistribution mode - possible options: processing, disk, processing-disk, discard
# Use these settings to fetch the Workflow Repository using a has... | true |
194f072677040b20f4851328c9bb2554addcaf52 | Shell | lkiarest/pycart | /docker.sh | UTF-8 | 426 | 3.25 | 3 | [] | no_license | #!/bin/bash
envtype=$1
setting_file=settings.dev.py
nettype=host
if [ "$envtype" == "prod" ]; then
setting_file=settings.prod.py
nettype=bridge
fi
# build image
echo building image ...
sudo docker build --build-arg SETTING_FILE=$setting_file -t pycart .
# start container
echo start container ...
sudo docker run... | true |
6190bed5bcabda5c1c1d135b3cd57d17263361e4 | Shell | termux/termux-packages | /packages/fish/build.sh | UTF-8 | 1,093 | 2.75 | 3 | [
"Apache-2.0"
] | permissive | TERMUX_PKG_HOMEPAGE=https://fishshell.com/
TERMUX_PKG_DESCRIPTION="The user-friendly command line shell"
TERMUX_PKG_LICENSE="GPL-2.0"
TERMUX_PKG_MAINTAINER="@termux"
TERMUX_PKG_VERSION="3.6.1"
TERMUX_PKG_REVISION=1
TERMUX_PKG_SRCURL=https://github.com/fish-shell/fish-shell/releases/download/$TERMUX_PKG_VERSION/fish-${T... | true |
3797904bb34bcf132228dfe0c6a12c94b6d271e1 | Shell | ChrisTheShark/elasticloader-image | /load_data.sh | UTF-8 | 970 | 3.75 | 4 | [] | no_license | #!/bin/bash
echo "Loading index to Elasticsearch."
status=$(curl --write-out %{http_code} --silent --output /dev/null \
-u elastic:changeme -X PUT http://elasticsearch:9200/vehicles \
-d @/opt/index.json --header "Content-Type: application/json")
# Allowing 400 as the index may have already been ad... | true |
094b36679626f05ae378329d63509347e7d3a0cf | Shell | fzdxyhr/ads-ha | /src/main/resources/ha/shell/stop_group_mysql.sh | UTF-8 | 1,340 | 3.375 | 3 | [] | no_license | #!/bin/bash
## docker内mysql数据库配置文件挂载到linux的目录结构
configDir=/home/group/config
## 更新数据库配置文件
function updateMyCnf(){
## 清空原来配置文件
: > $configDir/my.cnf
## BASE CONFIG
echo "[mysqld]" >> $configDir/my.cnf
echo "skip-host-cache" >> $configDir/my.cnf
echo "skip-name-resolve" >> $configDir/my.cnf
echo "pid-file =/va... | true |
1bd573116c96e440fd8e3b1d608969e9e810663e | Shell | Constellation-Labs/constellation | /main-net/modules/grafana/templates/cluster_info_to_targets.sh.tpl | UTF-8 | 321 | 2.59375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env sh
URL="${url}"
QUERY='
map({
targets: [(.ip.host + ":9000")],
labels: {
alias: .alias,
id: .id.hex
}
})
'
RESPONSE=$(curl $URL) && \
JSON=$(echo "$RESPONSE" | jq '.' | jq "$QUERY") && \
printf "$JSON" | jq '.' > /home/admin/grafana-dashboard/prometheus/targets/targets.json... | true |
1002446ed6f2ea76783170022f2f0127ebe587a1 | Shell | alexnoz/wasm-worker-api | /test/fixtures/run | UTF-8 | 1,233 | 3.8125 | 4 | [] | no_license | #!/usr/bin/env bash
echo_yellow () {
printf "\033[1;33m${*}\033[0m\n"
}
file="module"
build="build"
name=$(basename "$0")
tempPre="_pre.js"
# Placeholder
pathPH="<%path%>"
# A absolute path to the folder containing this script.
# We need this because this script can be run from any directory.
path=$(echo "$(pwd)/... | true |
7b1da5d2a375a772fea37cf7adc30409ca4ff78a | Shell | OmarCastro/dotfiles | /.i3/i3blocks/scripts/disk | UTF-8 | 1,647 | 3.390625 | 3 | [] | no_license | #!/bin/sh
# Copyright (C) 2014 Julien Bonjean <julien@bonjean.info>
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# ... | true |
6581b1b300945bf6a9f823f0bd7cfce000c1cf34 | Shell | Jd-75/torbrowser-launcher-git | /PKGBUILD | UTF-8 | 723 | 2.90625 | 3 | [] | no_license | pkgname=torbrowser-launcher-git
pkgver=v0.1.8
pkgrel=1
pkgdesc="A program to help you download, keep updated, and run the Tor Browser Bundle."
arch=('any')
url="https://github.com/micahflee/torbrowser-launcher"
license=('MIT')
depends=('python2' 'gnupg' 'wmctrl' 'python2-psutil' 'python2-pyliblzma' 'python2-txsocksx' '... | true |
a8f1408d54dbabc5855cbf1d6a860f65e1054a63 | Shell | p-org/P | /Tst/PortfolioTests/Scripts/deploy_coyote.sh | UTF-8 | 1,997 | 3.671875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
toolName=${1}
shift
projectPath=${1}
shift
projectName=${1}
shift
timeMax=${1}
shift
memMax=${1}
shift
args=$@
shopt -s expand_aliases
source ~/.bash_profile
outPath="runs/${toolName}/${projectName}"
echo -e "--------------------"
echo -e "Project Name: ${projectName}"
echo -e "Input Path : ${p... | true |
b9918137f346b1b8ca067b77e0cfa317c2b2f15e | Shell | saga1015/scripts | /setup-scripts/git-install | UTF-8 | 364 | 2.96875 | 3 | [] | no_license | #!/bin/bash
###############################
#
# Git 1.7.7.3
# http://git-scm.com/
#
###############################
cd /usr/local/src;
wget http://git-core.googlecode.com/files/git-1.7.7.3.tar.gz;
echo '382ee40da74a1b4a1875820c0f0a35c9ccd750f8 git-1.7.7.3.tar.gz' | sha1sum -c;
tar -xvzf git-1.7.7.3.tar.gz && cd git-... | true |
a9e123b2df7271bf4c4fc57486e95f96fffa9fdf | Shell | Raytsang123/T-Miner | /fakeddit/init_benign.sh | UTF-8 | 435 | 2.640625 | 3 | [
"MIT"
] | permissive | if [ ! -d "$1" ]; then
mkdir $1
mkdir $1/checkpoints
mkdir $1/data
python split_train_test.py $1 $2
# cp data/train_x.txt data/train_y.txt data/dev_x.txt data/dev_y.txt data/test_x.txt data/test_y.txt $1/data/
cp data/train_def_x.txt data/train_def_y.txt data/dev_def_x.txt data/dev_def_y.txt $... | true |
83c9dfb152b34d9745d5622d757353f103c6b4a0 | Shell | wuqunyong/APie | /scripts/make_release.sh | UTF-8 | 1,835 | 3.890625 | 4 | [] | no_license | #! /bin/bash
set -e # Exit immediately if a simple command exits with a non-zero status.
set -x # activate debugging from here
trap 'echo ">>> Something went wrong. Unable to generate the release package <<<"' ERR
echo "$0"
BASE_DIR="$(cd "$(dirname -- "$0")" ; pwd)"
echo "CurDir: $BASE_DIR"
SPEC=`ls *.spec`
N... | true |
f12eb69f94919bff53f64f3f73093502453b238a | Shell | bhuang95/JEDI-AERODA-NUOPCchem-WORKFLOW | /ush/JEDI/run_seasBin_fcst2da_fgat.sh | UTF-8 | 2,188 | 3.21875 | 3 | [] | no_license | #!/bin/ksh
set -x
JEDIcrtm=${HOMEgfs}/fix/jedi_crtm_fix_20200413/CRTM_fix/
WorkDir=${DATA:-$pwd/hofx_aod.$$}
RotDir=${ROTDIR:-/scratch1/BMC/gsd-fv3-dev/MAPP_2018/bhuang/JEDI-2020/JEDI-FV3/expRuns/aero_c96_jedi3densvar/dr-data/}
validtime=${CDATE:-"2001010100"}
nexttime=$($NDATE $assim_freq $CDATE)
cdump=${CDUMP:-"gdas... | true |
ed5b010d8d097dff7663167685f01223463a381b | Shell | lbechberger/LearningPsychologicalSpaces | /code/shell_scripts/Shapes/experiment_1.sh | UTF-8 | 4,678 | 3.296875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
echo 'experiment 1 - inception baseline'
# declare some lists to make code below less repetitive
default_baselines=("--zero")
default_regressors=("--linear")
default_lassos=("0.001 0.002 0.005 0.01 0.02 0.05 0.1 0.2 0.5 1.0 2.0 5.0 10.0")
default_noises=("0.1 0.25 0.55")
default_best_noise=0.1
default_co... | true |
a58f1f79288a204c183e5ba05626a81dc45fdb43 | Shell | gboyegadada/ecomm-rest-api | /reset-db.sh | UTF-8 | 201 | 2.53125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# reset-db.sh
host="${DB_HOST:-db}"
mysql -h "$host" -u "root" -e "DROP DATABASE app; CREATE DATABASE app;"
mysql -h "$host" -u "root" < ./database/tshirtshop.sql
echo "DB has been reset." | true |
46b75b861ce7bb22823b618009d4d50123af498b | Shell | puppetlabs/PIE_tools | /splunk/tasks/install_pe.sh | UTF-8 | 1,160 | 3.484375 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
# $PT_tar_file
function is_ok
{
ret=$1
error=$2
if [[ ${ret} -ne 0 ]];then
echo -e "[${error}] failed with code [$ret]"
exit 2
fi
}
if [ ! -f "${PT_tar_file}" ];then
echo -n "Failed to find the tar file [${PT_tar_file}]. Check the upload."
exit 2
fi
tar xvf ${PT_... | true |
525a8f5be1bcafafefd43abdb6b804b2746a6730 | Shell | eboxyz/dotfiles | /bin/bin/rofi-pass | UTF-8 | 17,747 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# rofi-pass
# (c) 2015 Rasmus Steinke <rasi@xssn.at>
basecommand=$(echo "$0" | gawk '{ print $1 }')
# set default settings
_rofi () {
rofi -i -width 700 -no-levenshtein-sort "$@"
}
URL_field='url'
USERNAME_field='user'
AUTOTYPE_field='autotype'
delay=2
default_do='menu' # menu, copyPass, type... | true |
233a8bdc307dbf68b029006b1780e89439376348 | Shell | tayre/config | /.bash_profile | UTF-8 | 1,882 | 3.375 | 3 | [] | no_license | export CLICOLOR=1
export LSCOLORS=ExGxBxDxCxEgEdxbxgxcxd
# A few usefull aliases
alias l='ls -la'
alias ll='ls -l'
alias ..='cd ..'
alias ...='cd ../..'
alias ....='cd ../../..'
alias .....='cd ../../../..'
# Create simple aliases for colors
export BLACK="\033[01;30m"
export MAGENTA="\033[1;31m"
export ORANGE="\033[1... | true |
5288dcf82806b15f63cfcf6b970f2c67bf5dfe6c | Shell | joao-parana/torque | /scripts/torque_mom_scheduler_run.sh | UTF-8 | 695 | 3.21875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Exit if any command fails
set -e
# VARIABLES
PATH=/usr/sbin:/usr/bin:/sbin:/bin
DAEMON=/usr/sbin/pbs_mom
# Include torque defaults if available
if [ -f /etc/default/torque-mom ]; then
. /etc/default/torque-mom
elif [ -f /etc/default/torque ]; then
. /etc/default/torque
fi
# This is alw... | true |
3e062e4ef227659ad06db90568507282cf6778fa | Shell | xwzliang/unix_power_tools | /03_working_with_files_and_directories/01_directories_and_files/01_mkdir_dash_p_mkdir_with_parent_directories.bats | UTF-8 | 222 | 2.890625 | 3 | [] | no_license | #!/usr/bin/env bats
@test "test mkdir -p" {
[ ! -d $PWD/test ]
dir_for_test=$PWD/test/01/02/03
# mkdir -p will create parent directory if not existed
run mkdir -p $dir_for_test
[ -d $dir_for_test ]
run rm -r test
}
| true |
e884f831ad43cb406ef776dc7d8ba8982fb95899 | Shell | mk-fg/fgtk | /desktop/uri_handlers/magnet | UTF-8 | 1,128 | 3.671875 | 4 | [
"WTFPL",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash
typeset -A dst_dirs
while [[ -n "$1" ]]; do
case "$1" in
--dst-*)
dst_type=${1#--dst-}
shift
dst_dirs[$dst_type]=$1 ;;
-x) set -x ;;
*) break ;;
esac
shift
done
[[ -z "$1" ]] && { echo >&2 "Expecting at least one link"; exit 1; }
coproc awk '
match($0, /\<xt=urn:btih:([0-9a-zA-Z]+)/, ... | true |
2fba86b3f05040bc648d9915448f129acc8f7ed7 | Shell | 369lo/cgs3767-assignment-3 | /assignment3/program3.sh | UTF-8 | 265 | 2.546875 | 3 | [] | no_license | #!/bin/sh
echo ""
echo $PATH
echo ""
echo -n "FIU's IP:"
dig +short fiu.edu
echo ""
echo "Connections to computer"
netstat -natp
echo ""
echo "Connection to google"
tracepath www.google.com
echo ""
echo "Host IP"
hostname -I
/bin/bash
| true |
44069b51f6b416f96df35c81ee1a9b42e5aa2679 | Shell | NHS-digital-website/hippo | /ci-cd/bin/hippo/users-and-groups/users-yaml | UTF-8 | 751 | 3.78125 | 4 | [
"OGL-UK-3.0"
] | permissive | #!/bin/bash
# curent folder
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
function main {
local authors_file=$1
local editors_file=$2
local admins_file=$3
cat "${DIR}/../../../users.base.yaml"
while read -r line; do
process_line "${line}"
done < "$authors_file"
while rea... | true |
a0f1f504625a6f378df7112d5f404e43c1d2cc37 | Shell | NickLediet/mouseconn | /bin/preinstall.sh | UTF-8 | 489 | 3.625 | 4 | [] | no_license | #!/usr/bin/env bash
# Prompt for sudo privs
sudo -v
########################
## Verify OS
########################
function osx-setup {
echo 'OSX Detected...'
echo 'Installing OSX Dependencies'
brew install blueutil
}
function linx-setup {
echo 'Linux Detects'
# TODO: Add check for distro to install with... | true |
95f226bf2a7fa85512fe1cbd3dadf70f7862a387 | Shell | Interlisp/medley | /scripts/install-diff-filter.sh | UTF-8 | 542 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
## This script installs the `eolconv` git diff filter in order to render diffs
## of files with CR line terminators correctly. The filter is installed locally
## and only affects the medley repository.
SCRIPTPATH="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
EOLCONV="$SCRIPTPATH/eolconv.sh"
GITATTRIB... | true |
ba136b0d4be507fb4947cc09d159756685d4fdf6 | Shell | easybe/alpine-reviewboard | /dev/docker-entrypoint.sh | UTF-8 | 525 | 2.8125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -e
cd /src
if [ ! -f settings_local.py ]; then
python setup.py install_node_deps
pip install --no-cache-dir -e .
sed 's/allow_input=True/allow_input=False/' \
contrib/internal/prepare-dev.py | python
fi
case $1 in
server)
shift
exec contrib/internal/devserver.py ... | true |
f03a65825ed42f29f88e36e8a6b22f28ff1040f7 | Shell | pradeepbhaduria/image-gallery | /services/thumbnail-service/pubsub.sh | UTF-8 | 1,706 | 2.921875 | 3 | [] | no_license | # https://cloud.google.com/run/docs/tutorials/pubsub
export GOOGLE_CLOUD_PROJECT=chitrashala
export TOPIC_NAME=gcs-events
export PROJECT_NUMBER="$(gcloud projects list --filter=${GOOGLE_CLOUD_PROJECT} --format='value(PROJECT_NUMBER)')"
export SERVICE_NAME=thumbnail-service
export SERVICE_URL="$(gcloud run services lis... | true |
2b6a092dde44a4d13d6fb089e559e35f4ea2ea91 | Shell | huangweiqing80/dhd_rel_1_206_43569 | /connection_scripts/p2papp_disconnected.sh | UTF-8 | 1,460 | 2.953125 | 3 | [] | no_license | #
# This script is called by p2papp after tearing down a connection between
# the two peers. This script de-initializes the network interface for the
# connection.
#
# Copyright (C) 2010, Broadcom Corporation
# All Rights Reserved.
#
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
# the content... | true |
a5f8691a2c34df012eb88c104bea4fba043e52e7 | Shell | TumTum/redmine_scheduling_poll | /bin/travisci_exec_test.sh | UTF-8 | 912 | 2.90625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# inspired by https://gist.github.com/pinzolo/7599006
export REDMINE_LANG=en
export RAILS_ENV=test
retval=0
#REDMINE_VERSION="2.4.0"
PLUGIN_NAME=redmine_scheduling_poll
cd redmine
# Execute test
bundle exec rake redmine:plugins:test NAME=${PLUGIN_NAME}
retval=$?
if [ "$retval" -ne 0 ]; then
echo "Inte... | true |
f7b5431382f3aeb20aaa2235232356762fb54614 | Shell | coinmenace/adzcoin-build | /adzcoin-linuxdeployqt.sh | UTF-8 | 2,051 | 3.0625 | 3 | [
"MIT",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
#
# Copyright (c) 2017-2018 The Swipp developers
#
# Distributed under the MIT/X11 software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
#
# Recipe for creating a Swipp QT AppImage package
# Create AppDir FHS-like stucture
mkdir -p swipp.AppDir/usr swi... | true |
333549807acf582af78664c5dbbb13814c970810 | Shell | ebo/netcdf-c | /ncdump/tst_formatx3.sh | UTF-8 | 1,689 | 3.546875 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
if test "x$srcdir" = x ; then srcdir=`pwd`; fi
. ../test_common.sh
# This shell script runs the ncdump tests.
# get some config.h parameters
if test -f ${top_builddir}/config.h ; then
if fgrep -e '#define ENABLE_CDF5 1' ${top_builddir}/config.h >/dev/null ; then
ENABLE_CDF5=1
else
ENABLE_CDF5=0
... | true |
4506072a5744e48738564b2291948fdd53e77010 | Shell | jomare1188/NRGSC | /bash_scripts.sh | UTF-8 | 400 | 2.921875 | 3 | [
"CC0-1.0"
] | permissive | main_folder="./"
mkdir -p libraries
## get samples names in the folder
ls $main_folder | grep Sample_ > "$main_folder"/samples2.txt
## build txgen.txt
cut -f1 "$main_folder"/Sample_19/quant.sf > tmp
paste tmp tmp > "$main_folder"/txgen2.txt
rm tmp
# remove first line
sed -i -e "1d" "$main_folder"/txgen2.txt
# write f... | true |
ec750a3a06c03dcbe950690a8942cdad8b2e55dc | Shell | dvdtknsn/easi-app | /scripts/release_static | UTF-8 | 2,050 | 3.15625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
#
set -eu -o pipefail
case "$APP_ENV" in
"dev")
STATIC_S3_BUCKET="$STATIC_S3_BUCKET_DEV"
EASI_URL="https://dev.easi.cms.gov"
export REACT_APP_OKTA_DOMAIN="https://test.idp.idm.cms.gov"
export REACT_APP_OKTA_CLIENT_ID="$OKTA_CLIENT_ID_DEV"
export REACT_APP_OKTA_SERVER_ID="$OKT... | true |
6534fc7bec5819140c6ad582a357dd602145598b | Shell | Yavras/systemy-operacyjne-2 | /lab3_symlinks/zad4.sh | UTF-8 | 206 | 3.46875 | 3 | [] | no_license | #!/bin/bash
TEMP_FILE=""
XXX=""
if [ $# -eq 1 ]
then
for i in $1/*; do
if [ -L $i ]
then
TEMP_FILE=$(readlink $i)
ls -l $TEMP_FILE | grep ^-
fi
done
else echo "Invalid amount of arguments"
fi
| true |
07b743e0c974dcb8f70a46099bfae95b008408eb | Shell | ramezsaeed/dev_process | /scripts/jumpscale_prepare_release.sh | UTF-8 | 1,135 | 3.90625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# current Git branch
branch=$(git symbolic-ref HEAD | sed -e 's,.*/\(.*\),\1,')
# v1.0.0, v1.5.2, etc.
versionFrom=$1
versionTo=$2
versionLabel=v$versionTo
repo=$3
# establish branch and tag name variables
masterBranch=master
releaseBranch=$versionTo
cd $repo
git checkout master
git pull
echo $repo
# c... | true |
634e409ef5124fb82fb20c7e9cc289f0dead8b03 | Shell | archer16/supertux_md | /data/images/imb_creatures_tux_big.sh | UTF-8 | 874 | 2.5625 | 3 | [] | no_license | #!/bin/bash
#==================================================[ create pack for big tux ]==================================================
set_path creatures/tux/big
palette=$target/creatures/tux/_palette.png
import_colors=24
tux_big=(
"walk-0.png" "walk-1.png" "walk-2.png" "walk-3.png" "walk-4.png" "wal... | true |
8e0adf300e0099e0d6ee1119e8dccee648bcdcd1 | Shell | flovearth/45_Some_Bash_Scripts | /03_add_fixed_number.sh | UTF-8 | 121 | 3.125 | 3 | [] | no_license | #!/bin/bash
base_value=5
echo "Enter a number: "
read number
total=$((number+base_value))
echo "Total value is: $total"
| true |
d29e8d100060c1b867cbd50ae66c4bab96b292fe | Shell | Vigilox/core-blackberry | /RCSBlackBerry/sign/encode | UTF-8 | 2,680 | 2.796875 | 3 | [] | no_license | #!/bin/sh
# rapc bbb.obf.jar
# sign bbb.cod
#
#
# C:\Program Files\Eclipse BB5.0\plugins\net.rim.ejde.componentpack4.5.0_4.5.0.21\components\bin\rapc.exe
# codename=deliverables\Standard\4.5.0\RCSBlackBerry deliverables\Standard\4.5.0\RCSBlackBerry.rapc
# -sourceroot=Z:\RCSBlackBerry\Sources\Workspace\RCSBlackBerry\sr... | true |
126d05a593ecf2885e79fcd9dc91b60ba5327ba9 | Shell | LanderU/micro-ROS-bridge_RPI | /ROS2_Cross-Compilation/cc_script.sh | UTF-8 | 1,078 | 2.75 | 3 | [] | no_license | #!/bin/bash
mkdir -p ~/ros2_rpi/ros2_ws/src
cd ~/ros2_rpi/ros2_ws
wget https://raw.githubusercontent.com/ros2/ros2/crystal/ros2.repos
vcs import src < ros2.repos
cd ~/ros2_rpi
git clone https://github.com/micro-ROS/polly.git
git clone https://github.com/micro-ROS/ros2_raspbian_tools.git
cd ~/ros2_rpi/ros2_raspbian_... | true |
3f6fe4e979d23838110335a092c070c65fc7b8fc | Shell | TourRadar/base-docker | /install.sh | UTF-8 | 2,797 | 2.65625 | 3 | [] | no_license | #!/usr/bin/env bash
#misc
yum -y install telnet wget pstree bind-utils logwatch psmisc sudo cronie git mc iproute epel-release
#disable selinux
sed -i.bak s/SELINUX=enforcing/SELINUX=disabled/ /etc/selinux/config
setenforce 0
#install PHP 7.1
cd cd ~
wget http://rpms.famillecollet.com/enterprise/remi-release-7.rpm... | true |
c20c8f56a80fadc141944e582f95dd9afa2e8644 | Shell | henrik-farre/dotfiles | /bin/xneovim | UTF-8 | 621 | 3.625 | 4 | [] | no_license | #!/bin/bash
# export NVIM_LISTEN_ADDRESS=$XDG_RUNTIME_DIR/neovim_socket
# Opens neovim in an termite window.
FILE=""
if [[ ! -z "$*" ]]; then
FILE="'$*'"
fi
# TERMINAL=wezterm
TERMINAL=termite
# TERMINAL=nvim-gtk
case "$TERMINAL" in
"termite")
COMMAND=$(printf '/usr/bin/bash -ic "nvim %s"' "$FILE")
... | true |
7768c38c36ed38f850d40fa5e3e68176bf1ba6d4 | Shell | medienlampe/eir | /_scripts/getTeamstats.sh | UTF-8 | 514 | 2.765625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
TEAMID=237997
TEAMNAME=Invia
TARGETFOLDER=/root/eir/_data
wget https://apps.foldingathome.org/daily_team_summary.txt.bz2
bzip2 -dk daily_team_summary.txt.bz2
rm -f teamscore.txt
touch teamscore.txt
head -n +2 daily_team_summary.txt | tail -n1 >> teamscore.txt
grep -P "$TEAMID\t$TEAMNAME" daily_team_summar... | true |
0a6424e7ccfa5faba1b21a2fa051bb945e14f7ef | Shell | wangyum/Anaconda | /pkgs/libgfortran-3.0.0-1/info/recipe/build.sh | UTF-8 | 443 | 2.921875 | 3 | [
"Apache-2.0",
"BSD-3-Clause",
"LicenseRef-scancode-unknown"
] | permissive | #!/bin/bash
LIB=$PREFIX/lib
mkdir $LIB
cd $LIB
if [ $ARCH == '64' ]; then
cp /usr/local/lib64/libgfortran.so.3.0.0 .
ln -s libgfortran.so.3.0.0 libgfortran.so.3
elif [ $ARCH == '32' ]; then
cp /usr/local/lib/libgfortran.so.3.0.0 .
ln -s libgfortran.so.3.0.0 libgfortran.so.3
fi
if [ `uname -m` == 'arm... | true |
4f6713b767249035dbe3cb1c0f0a5f7ac2d708b9 | Shell | RatanRSur/dotfiles | /.xinitrc | UTF-8 | 874 | 2.71875 | 3 | [] | no_license | #!/bin/bash
userresources=$HOME/.Xresources
sysresources=/etc/X11/xinit/.Xresources
# merge in defaults and keymaps
if [ -f $sysresources ]; then
xrdb -merge $sysresources
fi
if [ -f "$userresources" ]; then
xrdb -merge "$userresources"
fi
# start some nice programs
if [ -d /etc/X11/xinit/xinitrc.d ] ; th... | true |
0ffce77f9fef099e0254e92313f4ca5c9df20564 | Shell | phildkim/pcc_shell | /p3_counts/count.sh | UTF-8 | 826 | 4.25 | 4 | [] | no_license | #!/bin/bash
#
# Bash shell script to count each sentence followed by the number of words.
#
# Copyright (c), Philip D. Kim
#
# INPUT:
# What, me worry? No.
# And you?
# OUTPUT:
# 1 3
# 2 1
# 3 2
# The script takes in the user's input and then output whenever a sentence ends with (!.?) with the number of wor... | true |
a11603be19a9d482b3fee8ad7fa6f0d4fefce744 | Shell | esol-community/ros_rtl_kinetic | /script/build_kinetic.sh | UTF-8 | 1,013 | 3.28125 | 3 | [] | no_license | #!/bin/bash
set -e
PATH=/opt/aarch64_mcos/bin/:${PATH}
BUILD_TOOLCHAIN_PATH=/opt/aarch64_mcos/aarch64-elf-mcos/cmake/aarch64_elf_mcos_ros_toolchain.cmake
ARC_DIR=/work/share/archives/kinetic
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)"
REPO_BASE=${SCRIPT_DIR}/../../ros_rtl_kinetic
SRC_DIR_KINETIC=${REPO_... | true |
77dce0e1e19f3f77c383ce4df28264a114f51a87 | Shell | tma15/dotfiles | /init.zsh | UTF-8 | 1,093 | 3.53125 | 4 | [] | no_license | #!/bin/zsh
success() {
printf "\r\033[2K [ \033[00;32mOK\033[0m ] $1\n"
}
setup_git_submodule() {
git submodule update --init --recursive && \
success "git submodule update --init --recursive"
}
link_files() {
ln -ns $1 $2 && success \
"linked $1 to $2"
}
install_deno() {
# https://d... | true |
ad18a4045e75687beeaca0a073a6a04fb2b3abed | Shell | lampepfl/dotty | /project/scripts/stdlib-bootstrapped-tasty-mima.sh | UTF-8 | 1,127 | 2.9375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -eux
source $(dirname $0)/cmdTestsCommon.inc.sh
TASTY_FROMAT_FILE="tasty/src/dotty/tools/tasty/TastyFormat.scala"
MINOR_TASTY_VERSION_SUPPORTED_BY_TASTY_MIMA=3
MINOR_TASTY_VERSION=$(grep -oE 'val MinorVersion: Int = ([0-9]+)' $TASTY_FROMAT_FILE | grep -oE '[0-9]+')
EXPERIMENTAL_TASTY_VERSION=$... | true |
6019955aaf18984992ff7462f450f46bc99b0d1e | Shell | chaos-dremel/mpkg | /chroot_installer/create-livecd.sh | UTF-8 | 8,684 | 3.640625 | 4 | [] | no_license | #!/bin/bash
# This script should be run as root or fakeroot.
set -e
if [ "$DEBUG" != "" ] ; then
set -x
fi
export PATH=${scriptdir}/bin:$PATH
CWD=${scriptdir}/live-elements
# Set alias for chroot to fakechroot. Let's see if it can work such way
# Loading global config
if [ -r "/etc/mklivecd.conf" ] ; then
. /etc/mk... | true |
b3fb95ab1f388d4b91563fe6ab3aa275e8535425 | Shell | mapbox/mapbox-navigation-ios | /scripts/update-version.sh | UTF-8 | 3,662 | 3.625 | 4 | [
"MIT",
"ISC",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
set -e
set -o pipefail
set -u
function step { >&2 echo -e "\033[1m\033[36m* $@\033[0m"; }
function finish { >&2 echo -en "\033[0m"; }
function bump_xcode_proj_versions {
xcrun agvtool bump -all
xcrun agvtool new-marketing-version "${SHORT_VERSION}"
}
function agvtool_on {
local PROJ_NA... | true |
77aa5b3f7bd39f2b12c30a80a01f5191bbd3c801 | Shell | computersalat/fwbuilder | /build_mxe-w32.sh | UTF-8 | 1,346 | 3.5 | 4 | [] | no_license | #!/bin/bash
export PATH=/usr/lib/mxe/usr/bin:$PATH
main()
{
if [ $# -eq 0 ]; then
usage
exit
fi
while [ "$1" != "" ]; do
case $1 in
-h | --help | help | usage )
usage
exit
;;
all )
configure
compile
... | true |
7d36616c5378fb90eb6f99879e8321cd2cb28452 | Shell | etiram/test | /testcommit.sh | UTF-8 | 115 | 2.90625 | 3 | [] | no_license | #!/bin/bash
git add --all
if [ $# -ge 1 ] ; then
git commit -m $1
else
git commit -m "DEFAULT"
fi
git push
| true |
d7709a98be78eba8c88311677202625f44b8faa7 | Shell | A2PhotonicSensors/skimage_edge_production | /Utilities/install.sh | UTF-8 | 2,785 | 3.578125 | 4 | [] | no_license | #!/usr/bin/env bash
# Log stdout and stderr in installation.log on home directory
echo "Starting installation script on remote odroid. . ."
# In order to run all the next commands without having to enter the password
echo "Sudo-ing"
sudo false
echo " Loading skimage variables . . . "
source $(dirname $BASH_SOURCE)/... | true |
8604214e52d787641423e40a886b4c4f55c81287 | Shell | infothrill/etoy-m221e-gate | /m221egate/start.sh | UTF-8 | 329 | 2.890625 | 3 | [] | no_license | #!/usr/bin/env bash
export PYTHONPATH=$PYTHONPATH:$HOME/src/scrambler-droplet/src/
echo $PYTHONPATH
if [ "x${1}" == "xbg" ]
then
d=$PWD
echo "Starting with production config in bg"
mkdir -p $HOME/var
cd $HOME/var/
python $d/start-m221egate.py $d/prod.cfg > /dev/null 2>&1 < /dev/zero &
else
python start-m221egat... | true |
79cd1add9e4955d38134ecf249d97bcf4fd084ca | Shell | nexusventuri/advent_of_code_2018 | /runner.sh | UTF-8 | 366 | 3.53125 | 4 | [] | no_license | #!/bin/bash
echo "Here all the solutions implemented:"
for i in $(find . -maxdepth 1 -type d | grep -v '.git\|\.$')
do
echo "$(basename $i)"
done
echo "Which solution would you like to see?"
read solution_folder
for solution_executable in $(find ./$solution_folder/solution.*)
do
echo "Solution from file '$solut... | true |
2581b1d12792fa93f8d8818569788b8ad9c9cc72 | Shell | loleg/dribdat | /deploy-stackscript.sh | UTF-8 | 3,235 | 3.5 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# This is a deployment script for an Ubuntu VPS at Linode.com
# <UDF name="FQDN" Label="Fully qualified domain" example="dribdat.example.com" />
# <UDF name="TIME_ZONE" Label="Server time zone" example="Europe/Zurich" />
# Logs: tail -f /var/log/stackscript.log
# Logs: cat /var/log/stackscript.log
# Log ... | true |
e1cdd5cbccb0322c8c6097050ab3c54728086b90 | Shell | juselius/kubernetes-actions-runner | /entrypoint.sh | UTF-8 | 1,219 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
sudo chown runner:runner .
tar fxz ../runner.tar.gz
sudo rm ../runner.tar.gz
RUNNER_WORKDIR=$HOME/_work
mkdir -p $RUNNER_WORKDIR
[ ! -f auth.json ] && echo "ERROR: No auth config!" && exit 1
case ${GITHUB_AUTH} in
app)
[ ! -f auth.pem ] && echo "ERROR: No pem file!" && exit 1
... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.